Page MenuHomePhabricator

Logstash in beta doesn't have any logs
Closed, ResolvedPublic

Description

If you go to https://logstash-beta.wmflabs.org there is no data sent to it even you change the time span to the last 24 hours.

Event Timeline

Ladsgroup created this task.Oct 1 2018, 1:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 1 2018, 1:48 PM
Krenair added a subscriber: Krenair.Oct 1 2018, 2:03 PM
fgiunchedi closed this task as Resolved.Oct 2 2018, 9:00 AM
fgiunchedi claimed this task.
fgiunchedi added a subscriber: fgiunchedi.

I bounced logstash on deployment-logstash2 and looks like logs are flowing again, logstash-plain.log wasn't being written to before the restart which is a little worrying in itself and makes it non-obvious to understand what's wrong.

I'm resolving this for now but reopen if it happens again.

Ladsgroup reopened this task as Open.Oct 22 2018, 4:39 PM

It's empty again :(

fgiunchedi closed this task as Resolved.Oct 24 2018, 7:53 AM

Resolving in favor of T205672: Elasticsearch puppet config changes broke puppet in various instances as the underlying cause is ES not logstash in this case.